Subject: Re: bug#9470: 24.0.50; Possible bidi-related slowness

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Sep 2011 01:18:17 -0400

> I don't see any easy way of gaining from more aggressive caching of
> this info, because the cache would need to be updated on every edit
> and on any redisplay, which would just move the slowdown from one
> group of commands to another.  Clever ideas are welcome.

I'd guess that a cache that stores (START . END) could help, where
"START is a position that starts a paragraph and that paragraph ends no
sooner than END".

This way when working within a very long paragraph, you only need to
look for a paragraph boundary between END and point and if there isn't
any, you can go straight to START without searching for it.

        Stefan